#!/bin/bash

REMOTE_USER=logging_user
REMOTE_SERVER=remote_server_address

# Define the main service unit name
MAIN_SERVICE_UNIT=your-service.service

# Capture logs from journalctl and save them to temporary files
journalctl -u "$MAIN_SERVICE_UNIT" --no-pager > /tmp/your_service.log
journalctl -u "$MAIN_SERVICE_UNIT" -p err..emerg --no-pager > /tmp/your_service_error.log

# Transmit logs to the remote server
rsync -avz /tmp/your_service.log "$REMOTE_USER@$REMOTE_SERVER:/path/to/remote/log/directory/"
rsync -avz /tmp/your_service_error.log "$REMOTE_USER@$REMOTE_SERVER:/path/to/remote/log/directory/"

# Remove temporary log files
rm /tmp/your_service.log /tmp/your_service_error.log

exit 0